Search for _process_

  1. Search 7.x for _process_
  2. Search 9.5.x for _process_
  3. Search 8.9.x for _process_
  4. Search 11.x for _process_
  5. Search main for _process_
  6. Other projects
Title Object type File name Summary
PlaceholderStrategyInterface::processPlaceholders function core/lib/Drupal/Core/Render/Placeholder/PlaceholderStrategyInterface.php Processes placeholders to render them with different strategies.
PreprocessPagerTest class core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Tests pager preprocessing.
PreprocessPagerTest.php file core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php
PreprocessPagerTest::setUp function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php
PreprocessPagerTest::testEmptyPaginationHeadingLevelSet function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Tests template_preprocess_pager() when an empty #pagination_heading_level value is passed.
PreprocessPagerTest::testPaginationHeadingLevelInvalid function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Test template_preprocess_pager() with an invalid #pagination_heading_level.
PreprocessPagerTest::testPaginationHeadingLevelNotSet function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Tests template_preprocess_pager() when no #pagination_heading_level is passed.
PreprocessPagerTest::testPaginationHeadingLevelSet function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Tests template_preprocess_pager() when a #pagination_heading_level value is passed.
PreprocessPagerTest::testQuantityNotSet function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Tests template_preprocess_pager() when an empty #quantity is passed.
PreprocessPagerTest::testQuantitySet function core/modules/system/tests/src/Unit/Pager/PreprocessPagerTest.php Tests template_preprocess_pager() when a #quantity value is passed.
ProjectInfo::processInfoList function core/lib/Drupal/Core/Utility/ProjectInfo.php Populates an array of project data.
QueueWorkerInterface::processItem function core/lib/Drupal/Core/Queue/QueueWorkerInterface.php Works on a single queue item.
QueueWorkerManager::processDefinition function core/lib/Drupal/Core/Queue/QueueWorkerManager.php Performs extra processing on plugin definitions.
Radios::processRadios function core/lib/Drupal/Core/Render/Element/Radios.php Expands a radios element into individual radio elements.
RecipeRunner::processConfiguration function core/lib/Drupal/Core/Recipe/RecipeRunner.php Creates configuration and applies configuration actions.
RecipeRunner::processContent function core/lib/Drupal/Core/Recipe/RecipeRunner.php Creates content contained in a recipe.
RecipeRunner::processInstall function core/lib/Drupal/Core/Recipe/RecipeRunner.php Installs the extensions.
RecipeRunner::processRecipe function core/lib/Drupal/Core/Recipe/RecipeRunner.php
RecipeRunner::processRecipes function core/lib/Drupal/Core/Recipe/RecipeRunner.php Applies any recipes listed by the recipe.
ReferenceBase::defineValueProcessPipeline function core/modules/migrate_drupal/src/Plugin/migrate/field/ReferenceBase.php Apply any custom processing to the field bundle migrations.
Registry::mergePreprocessFunctions function core/lib/Drupal/Core/Theme/Registry.php Merges the source hook's preprocess functions into the destination hook's.
Registry::postProcessExtension function core/lib/Drupal/Core/Theme/Registry.php Completes the theme registry adding discovered functions and hooks.
Registry::processExtension function core/lib/Drupal/Core/Theme/Registry.php Process a single implementation of hook_theme().
RegistryTest::providerTestPostProcessExtension function core/tests/Drupal/Tests/Core/Theme/RegistryTest.php Provides test data to ::testPostProcessExtension().
RegistryTest::testPostProcessExtension function core/tests/Drupal/Tests/Core/Theme/RegistryTest.php @covers ::postProcessExtension[[api-linebreak]]
@covers ::completeSuggestion[[api-linebreak]]
@covers ::mergePreprocessFunctions[[api-linebreak]]
RegistryTest::testSuggestionPreprocessFunctions function core/tests/Drupal/KernelTests/Core/Theme/RegistryTest.php Tests the theme registry with suggestions.
RenderElement::processAjaxForm function core/lib/Drupal/Core/Render/Element/RenderElement.php Form element processing handler for the #ajax form property.
RenderElement::processGroup function core/lib/Drupal/Core/Render/Element/RenderElement.php Arranges elements into groups.
RenderElementBase::processAjaxForm function core/lib/Drupal/Core/Render/Element/RenderElementBase.php Form element processing handler for the #ajax form property.
RenderElementBase::processGroup function core/lib/Drupal/Core/Render/Element/RenderElementBase.php Arranges elements into groups.
RenderElementHelper::processElement function core/modules/inline_form_errors/src/RenderElementHelper.php Process all render elements.
RenderTest::testDrupalRenderThemePreprocessAttached function core/tests/Drupal/KernelTests/Core/Render/RenderTest.php Tests theme preprocess functions being able to attach assets.
RenderTest::testProcessAttached function core/tests/Drupal/KernelTests/Core/Render/RenderTest.php Tests that we get an exception when we try to attach an illegal type.
RequestSanitizer::processParameterBag function core/lib/Drupal/Core/Security/RequestSanitizer.php Processes a request parameter bag.
ResponsiveImageConfigUpdater::processResponsiveImageField function core/modules/responsive_image/src/ResponsiveImageConfigUpdater.php Processes responsive image type fields.
RouteNoneTest::testProcessOutbound function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteNoneTest.php Tests the output process.
RouteProcessorCsrf class core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Processes the outbound route to handle the CSRF token.
RouteProcessorCsrf.php file core/lib/Drupal/Core/Access/RouteProcessorCsrf.php
RouteProcessorCsrf::$csrfToken property core/lib/Drupal/Core/Access/RouteProcessorCsrf.php The CSRF token generator.
RouteProcessorCsrf::processOutbound function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Processes the outbound route.
RouteProcessorCsrf::renderPlaceholderCsrfToken function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php #lazy_builder callback; gets a CSRF token for the given path.
RouteProcessorCsrf::trustedCallbacks function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Lists the trusted callbacks provided by the implementing class.
RouteProcessorCsrf::__construct function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Constructs a RouteProcessorCsrf object.
RouteProcessorCsrfTest class core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php @coversDefaultClass \Drupal\Core\Access\RouteProcessorCsrf[[api-linebreak]]
@group Access
RouteProcessorCsrfTest.php file core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php
RouteProcessorCsrfTest::$csrfToken property core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php The mock CSRF token generator.
RouteProcessorCsrfTest::$processor property core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php The route processor.
RouteProcessorCsrfTest::setUp function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php
RouteProcessorCsrfTest::testProcessOutbound function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with a _csrf_token route requirement.
RouteProcessorCsrfTest::testProcessOutboundDynamicOne function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with a dynamic path and one replacement.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.